GNU bug report logs - #23010
25.1.50; Isearch help key to indicate current search state/mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Drew Adams <drew.adams@HIDDEN>; Keywords: wontfix moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 23010 <at> debbugs.gnu.org and Drew Adams <drew.adams@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 23010 <at> debbugs.gnu.org:


Received: (at 23010) by debbugs.gnu.org; 13 Jun 2022 12:49:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 13 08:49:11 2022
Received: from localhost ([127.0.0.1]:57556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0jVH-000174-3v
	for submit <at> debbugs.gnu.org; Mon, 13 Jun 2022 08:49:11 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37280)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o0jVD-00016Q-6T
 for 23010 <at> debbugs.gnu.org; Mon, 13 Jun 2022 08:49:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Pu9dawXwAOIdGVn6HEu4YoKrI+K1CTQQNmSlmnawKhE=; b=IAJXGBLIL+uvC20mcvZY8/jp4B
 cUMCB4F+M3PWMHpYRH9XyRielhKvNOskxdnEW+Grfh8JPvW8wkmabHx88U3W6as8Xpf3x+zkm7GDd
 cz0sFeN9x6+2Q0VVyXJ7eDy89MEoLqY7TJPcbqc8CCcIm7RP0v932ZDroQ/cN4VwbqCQ=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o0jV2-0008Q8-Px; Mon, 13 Jun 2022 14:48:59 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#23010: 25.1.50; Isearch help key to indicate current search
 state/mode
References: <b6124828-1fb7-4a2f-85bd-89bbd8cb1900@default>
 <87wneqwwb4.fsf@HIDDEN>
X-Now-Playing: Antena's _Ni d'eve, ni d'adam_: "Le Spinner"
Date: Mon, 13 Jun 2022 14:48:55 +0200
In-Reply-To: <87wneqwwb4.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 12 May 2022 18:27:27 +0200")
Message-ID: <87wndksp8o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > I think this
 sound like it could be vaguely helpful. I've added Juri to > the CCs; perhaps
 he has some comments. > > I think the utility would be pretty marginal, though
 -- few users alter > these t [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23010
Cc: 23010 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I think this sound like it could be vaguely helpful.  I've added Juri to
> the CCs; perhaps he has some comments.
>
> I think the utility would be pretty marginal, though -- few users alter
> these things dynamically, but go with one single set of states most of
> the time.

I think the conclusion here is that it would be of marginal utility, so
I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23010; Package emacs. Full text available.

Message received at 23010 <at> debbugs.gnu.org:


Received: (at 23010) by debbugs.gnu.org; 13 May 2022 21:05:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 17:05:25 2022
Received: from localhost ([127.0.0.1]:45159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npcTU-0003dO-Rm
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 17:05:25 -0400
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:34120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1npcTO-0003d9-8g
 for 23010 <at> debbugs.gnu.org; Fri, 13 May 2022 17:05:23 -0400
Received: from pps.filterd (m0246630.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.17.1.5/8.17.1.5) with ESMTP id 24DJTxmR002002;
 Fri, 13 May 2022 21:05:17 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=lgSb7ZiRM44cC3wfLn0uI9Lj5qc/FEnGF6ooBztE2xc=;
 b=mxjWdPHmRa5Aa9T+CiWRGAA4SDNRXQrMhs55WX1lSP0ktJHe6ZmpLntRxHxWlKlmXfGd
 6Fe1C5vGwqiskfh5GKgr3YdDcR+f76TSO6I7CDVldmgiVGykUxhgMtsQDmKrRjgS47Lo
 bsbH4X8uI+Way0AosgOSofqDIpjXNXZZfLQuSpbPPub4eftbVEgS16Edug+wrLGaOp2d
 v50JF5BgzKqhWkvevyLP+OBzvE5y7eL/UtYOIRK71AKQ8nit0LnG4dZNCDRsCDRDt511
 wjcjWvQExZPdMl/oQRSxqJXCeVWIPfm5LCWZ8bJSjWNgCaNMrRXACf1E5yX35kvFYRDr 2A== 
Received: from phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com
 (phxpaimrmta02.appoci.oracle.com [147.154.114.232])
 by mx0b-00069f02.pphosted.com (PPS) with ESMTPS id 3fwf6cg27k-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 13 May 2022 21:05:17 +0000
Received: from pps.filterd
 (phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com [127.0.0.1])
 by phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com (8.16.1.2/8.16.1.2)
 with SMTP id 24DKxnVt023736; Fri, 13 May 2022 21:05:16 GMT
Received: from nam11-co1-obe.outbound.protection.outlook.com
 (mail-co1nam11lp2171.outbound.protection.outlook.com [104.47.56.171])
 by phxpaimrmta02.imrmtpd1.prodappphxaev1.oraclevcn.com with ESMTP id
 3fwf775af3-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 13 May 2022 21:05:16 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=WNhMyPPA/xhFv/16c3ePfkt7SyRrIpHf2mPyCVUHJhgsIjk/NsneLbaXytvzam/6T2AeCHGGJCCMeq9djnt6bct582XxyN+Br3xfhoKqOqJo068sIQRfr03/0BOdnlfT1d7VEvP9Cfx3w0BiCaPgbkrLAjaHpO6ARTfwa3yo4AYYVdDG5AtgtqblxJ1zClIQcx4SiL3zkTaLCkRV5GTV/+rCkHwBD68tLweicxuJkA2H2N+c9WKa2gBK2m97w0XDJL8dYYcboJGSFxypaVD786GcytyXQLB/moGXrCjZZGEgOPHjt3qRF5h6Zniq3fBubsT67buZveRL/mgt+4AVXw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=lgSb7ZiRM44cC3wfLn0uI9Lj5qc/FEnGF6ooBztE2xc=;
 b=P4gGMAo/1kumIldIvJbvj8MFFQMQM5H+HEeG2ebwEgXyQwhExOcWW22wzLSC2TIFOcP3/po+mKJUpZZ53hsAlZMlWVRfZaYoJiNRnany9UStdj+tN7IQcdOzccwlPgkaf63gAoa8W0tDVNze/PDqmBdcsbcsHKKt7RADMIKaRCDJwEHZFcvjzR4rIOMBLdUOg2THnKD5DWiSvPlHJcdwFYRWoiuiAj2vC9z/b22Q4scdE5de7CadzH6ot9R+0roZrQpyEDwi9SZxXF+PgkM6BJGRe17y2ZSlLuEfy6REzdqnYFDUK244s5g8LgpIrVW1QtPYdr42TtfpbMBH0BbLlw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=lgSb7ZiRM44cC3wfLn0uI9Lj5qc/FEnGF6ooBztE2xc=;
 b=CDN2w/kLgn8SiGiTssqYOAaHNgbDMfRr+OAOfugWCAXMWdDjS3SXIgELw+PJxrwNb7MA6ilzPwIg3FYx0TdMYfdkjdBWNTXd6eEleQOxVisAL0OEW/gjNYybbdAlYnxtz3MzSXKlBgxygkkc7O63HO2N+e3MasnIJ/3pz4Pq3Ec=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by SJ0PR10MB4495.namprd10.prod.outlook.com (2603:10b6:a03:2d6::5)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5250.14; Fri, 13 May
 2022 21:05:14 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::a0e7:5f38:ab50:5123]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::a0e7:5f38:ab50:5123%9]) with mapi id 15.20.5227.024; Fri, 13 May 2022
 21:05:14 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: RE: [External] : Re: bug#23010: 25.1.50; Isearch help key to indicate
 current search state/mode
Thread-Topic: [External] : Re: bug#23010: 25.1.50; Isearch help key to
 indicate current search state/mode
Thread-Index: AQHYZuvQh6jStURUjUaNG7tGib61Gq0dSygg
Date: Fri, 13 May 2022 21:05:14 +0000
Message-ID: <SJ0PR10MB548889DB44A4AC4E8DB55C84F3CA9@HIDDEN>
References: <b6124828-1fb7-4a2f-85bd-89bbd8cb1900@default>
 <87wneqwwb4.fsf@HIDDEN>
 <SJ0PR10MB54888982840269747307869DF3CB9@HIDDEN>
 <86zgjmd5g4.fsf@HIDDEN>
 <SJ0PR10MB5488A6CC22DD05739EF95A80F3CB9@HIDDEN>
 <865ym9z7nk.fsf@HIDDEN>
In-Reply-To: <865ym9z7nk.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 8e3812e4-d3b5-4522-9b34-08da3524468c
x-ms-traffictypediagnostic: SJ0PR10MB4495:EE_
x-microsoft-antispam-prvs: <SJ0PR10MB4495575F226FEB721896DEAFF3CA9@HIDDEN>
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: kVXjTM9f5ikSF/H5nGOZF1rzVO9/MR/a763SiVLdVui186LrnJHgKTb005JPMpyqxxQtneAagCF5wQZtnltSWmDZXIS24ShRCSxgXJzjoQW+GDaIwPE4pDTN+p4EadqK0GbtRRQ0BOEppgmwQUFPJ8ewwjxdrBgCmOgvWYBg/B1h+uuSzFuX7n/53i8vYmD4iy/K68Ud1z3MuORjMZGUDA4V2IWr7WVtpmr1VTg4HOVE+2pFIhXI5k0tCOhmEXlhUHJg/uE8QqPpw4ytosOnruwyWUYQ3R4zTcfDJe1C36VsSdstfgRRXQ6hpP2pOpwmpoGiO6cfPVwfRWCLGdRt7vSJW5LBWYW5PxH6KGM3y4zI+JSX1aYuRblU2wjL5K4L6Y3+eDzDvICSbolGE4zbm03FiJSZFhImeSnpklzTj898609AG8Yksr6LRWv3hz1SivGjVVRhh4Cxx9w5dS0uzjJpklJaWGM3olZdF8gGK2lnAGC435t2p86sF2Mmc+B+SI03RfO6Fa/ZPtZf94eEJKdCoj0m10WDG3C8OdaKN7PYCBFy/657mUf1Dh9TnNlEoVI7bPPPNYA6vlM9XgTtb78GqYEn9GKnHwCSBitiJXbCn9UVgIPeGdrGyJDyAHxZUergWXcoLJFW9lwADKHLbzIvuMBwHN1sglZibhxPVavEtY29vZXCJnGWxgP9YmSXGJfljm16a2TQEonmjgNImQ==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230001)(366004)(54906003)(6916009)(83380400001)(71200400001)(6506007)(186003)(55016003)(33656002)(86362001)(508600001)(8936002)(76116006)(66446008)(64756008)(8676002)(4744005)(26005)(5660300002)(44832011)(66556008)(66476007)(66946007)(316002)(9686003)(38070700005)(52536014)(38100700002)(7696005)(2906002)(122000001)(4326008);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?2ru6Ni3nUYPQJ7Jisiwi1nh86H+Qvfz9cUEwZ+iMA6LLcDpd6s/vtKeLEpHK?=
 =?us-ascii?Q?ZByPcqodhzEbkosAZWuAGBR21j3+a1DPRYmRmcqBcdS5OcFvEhBcALtlkBNQ?=
 =?us-ascii?Q?C9Na/6eqw04DOzlgBFk7w1Imsve3bzBDzSewVfCuNVk/rZk5kdZyOL7t+Yel?=
 =?us-ascii?Q?1YM4ZPLCM1/CbRFFciZhZs/YzqWsq/8ouO3S7s+pbOukbzFaLudbWEwmaFtO?=
 =?us-ascii?Q?qvc9V+kw3UES1xWsxEVeuVNn3L2WidP+fOibPXykXpTQ9IQbbE/wKsy0+89W?=
 =?us-ascii?Q?P5vKCnHh0Nxn9GtzZFBGBzCyw/BUW9kQXWqumBVhaiAV83e0Bt/F/QqlqiZI?=
 =?us-ascii?Q?bPFBSpOi6oXbrAXe8fTsuFe+aOrngs9h3LfFOLfBy9AuxAw4clhLppa1AP2h?=
 =?us-ascii?Q?dA9ihiIsbhwBlS2g5gRlKTIQgHT6aaZvycNUkxiIaqQltF7yG2EAVxhtk9cn?=
 =?us-ascii?Q?QgDO1wTqfIoFfUZudJXcbOusjWE2/pBafwi/hMfrJylJlOmWq472oOmT3gi5?=
 =?us-ascii?Q?b6bcyBTS0XAKmBIyrwXfZjqzEIsEuqT2yRHLvwwFoD/9+Fg98ki5M1h3DD1o?=
 =?us-ascii?Q?UD0X/hCB8Q4y6VDaRmlAS0+8bgcop1uBP7+FD4ahu0SMg70G3V/Jyr+1qVaX?=
 =?us-ascii?Q?wchxTlFHxdd+N+hLcOuyPkuZuRxF9y+2oTJHsWxi+jgVcn2MslJkTcshtLkm?=
 =?us-ascii?Q?Ao/t2f4pkL17Bom4l8VWe1cCotGY1e+qlUnh2bCt6qsgfdir+3nXxD2oYsWd?=
 =?us-ascii?Q?1Wgip3qc+JW07r8QST4XDl5+zRWFpydurLUB6eaIFueNAFwchc7skNTsRvIf?=
 =?us-ascii?Q?UiObGqT4gjmvcGC3MsBqGsPo7B7GTzh39zCQbV4L34xq8gUKtDPSYCPSwgDG?=
 =?us-ascii?Q?uYu1tIB44VtEYqjYt/g64yWd/LBh8KhKdfpzHQwZTMZSX1GjJkPfL8uGqHwF?=
 =?us-ascii?Q?fmeIiArK+tpaAvPAN7EJWD6t63/66xl13brDQq7dkVWM7nVGjpB/zZZxdOo7?=
 =?us-ascii?Q?zfEaEkrJi5ya+tA0dtnquHFq/TFr7Whkb/28tPui/BsBI9FFdlLGf9hSzHCo?=
 =?us-ascii?Q?dNM6sFV+3YRmxKbULI+k0egwY9/2DdYHCVTm/vTJMW1+nkoSm4/B5D46f79U?=
 =?us-ascii?Q?HBSMS00xr9Dbbi+GBGtcBZLRBpaBBePmrtMP0Wp92zFVqPW65BArsDawe/vZ?=
 =?us-ascii?Q?tfoYpzkiz6BUlJX4x6Dj745AcvQNqNJZqufaIW6n/8BxU2GIaqyCubhS91KF?=
 =?us-ascii?Q?cJ4W/SSkg5za2xom6kUbqVAh9rAukYBkZfUmIVOj82E/VBxtiqAsc8OLUDrL?=
 =?us-ascii?Q?vOgTMN7TWLPsM7G8+o+IqXTCwIoTXurGRlBt7ATZh+2F6L2bmYZoTaYCaZgR?=
 =?us-ascii?Q?+KpdpodIWRHfRJpjGevnBu/L27S+o9wR1tLmVHmmsQKuu2BTaq+HyRNJKbYi?=
 =?us-ascii?Q?iY7U5UrABGXujmI/tb2zSKycMnrbAlUMYi03hoTe0TY16Y/6viBxizmdU/qb?=
 =?us-ascii?Q?VvwYZM+RxqkOBMBvkQxWtVYzHG+njU4Ed1IUwgxpSepVtRSR6o7cXMq2gDrh?=
 =?us-ascii?Q?l6H7jjRxYQ+ur7009ceWHQiV0Sr07HWRudClhgCMS+kRaoMvVmYOJKAUug4j?=
 =?us-ascii?Q?lI0CxSWXeTHeW9vUgnvZ0sJlKFy3oushCmoEFnOcLoBga0MTNRpQUM7JsaH2?=
 =?us-ascii?Q?mV0EuLTRniHkdoYcV74YH0vu5m3NX0Ba45z17ZS6mNwUGwFp2Xwy6Yi8IEur?=
 =?us-ascii?Q?RI6kSgbzcA=3D=3D?=
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 8e3812e4-d3b5-4522-9b34-08da3524468c
X-MS-Exchange-CrossTenant-originalarrivaltime: 13 May 2022 21:05:14.4592 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: bbvCJ9JYbXOIGkF3lwpBKxhG9wT5bZkYFfQa0IOYtZivgKBudJDKlAwHqS3FrVWfnPSIL+bUgXybeuqAIQFd2w==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SJ0PR10MB4495
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.486, 18.0.858
 definitions=2022-05-13_08:2022-05-13,
 2022-05-13 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=650
 malwarescore=0
 suspectscore=0 phishscore=0 spamscore=0 bulkscore=0 mlxscore=0
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2202240000 definitions=main-2205130087
X-Proofpoint-ORIG-GUID: z_NnDWjigjZJTOCQbUGM1hSI-rsGP1vS
X-Proofpoint-GUID: z_NnDWjigjZJTOCQbUGM1hSI-rsGP1vS
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23010
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 "23010 <at> debbugs.gnu.org" <23010 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> > I've also made other suggestions elsewhere, regarding
> > showing more such state in the mode-line.  And I do
> > that in isearch+.el.  E.g., mode-line lighter tells
> > you whether case-sensitive and whether regexp searching:
> >
> > (if case-fold-search
> >     (if isearch-regexp " R*SEARCH" " ISEARCH")
> >   (if isearch-regexp " R*search" " Isearch"))
>=20
> I guess R means Regexp search.  But what does the asterisk
> after R mean?  On the mode line it usually indicates the
> modified buffer.

R*search and R*SEARCH are just meant to indicate a
regexp pattern (the former indicating case-sensitive).

The Isearch+ doc says what it means.  But I don't say
you need to follow what I did exactly.

The point was just to say that with very little screen
real estate (a mode-line lighter) we can show, and
dynamically update, a fair amount of info about the
current Isearch state: whether case-insensitive, and
whether regexp searching.

I intend it only as food for thought.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23010; Package emacs. Full text available.

Message received at 23010 <at> debbugs.gnu.org:


Received: (at 23010) by debbugs.gnu.org; 13 May 2022 17:06:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 13:06:40 2022
Received: from localhost ([127.0.0.1]:44922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npYkS-0002I6-LO
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 13:06:40 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:39871)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1npYkR-0002HU-9n
 for 23010 <at> debbugs.gnu.org; Fri, 13 May 2022 13:06:39 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 34B2FC0005;
 Fri, 13 May 2022 17:06:31 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: [External] : Re: bug#23010: 25.1.50; Isearch help key to
 indicate current search state/mode
Organization: LINKOV.NET
References: <b6124828-1fb7-4a2f-85bd-89bbd8cb1900@default>
 <87wneqwwb4.fsf@HIDDEN>
 <SJ0PR10MB54888982840269747307869DF3CB9@HIDDEN>
 <86zgjmd5g4.fsf@HIDDEN>
 <SJ0PR10MB5488A6CC22DD05739EF95A80F3CB9@HIDDEN>
Date: Fri, 13 May 2022 20:03:59 +0300
In-Reply-To: <SJ0PR10MB5488A6CC22DD05739EF95A80F3CB9@HIDDEN>
 (Drew Adams's message of "Thu, 12 May 2022 17:43:03 +0000")
Message-ID: <865ym9z7nk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23010
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 "23010 <at> debbugs.gnu.org" <23010 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> I've also made other suggestions elsewhere, regarding
> showing more such state in the mode-line.  And I do
> that in isearch+.el.  E.g., mode-line lighter tells
> you whether case-sensitive and whether regexp searching:
>
> (if case-fold-search
>     (if isearch-regexp " R*SEARCH" " ISEARCH")
>   (if isearch-regexp " R*search" " Isearch"))

I guess R means Regexp search.  But what does the asterisk
after R mean?  On the mode line it usually indicates the
modified buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23010; Package emacs. Full text available.

Message received at 23010 <at> debbugs.gnu.org:


Received: (at 23010) by debbugs.gnu.org; 12 May 2022 17:43:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 13:43:11 2022
Received: from localhost ([127.0.0.1]:42232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npCqE-00061Y-Rf
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 13:43:11 -0400
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:52886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1npCqB-00061N-HX
 for 23010 <at> debbugs.gnu.org; Thu, 12 May 2022 13:43:09 -0400
Received: from pps.filterd (m0246630.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.17.1.5/8.17.1.5) with ESMTP id 24CGQvmI010355;
 Thu, 12 May 2022 17:43:07 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=1xdsa2ChzRN8S7IQbU6v1Q80OhkhwuyWgokikOwM7rg=;
 b=UFnpMUUCzgltNre2sdjbLWvGedzsOUYyoFzWxCFebbgneIBGmAw3THG/iYECHLADHK/Y
 SgZS0rRaUIezhPHvgFUGc2jlBYZiiA15QkTi1NkcdykNDImzadYgWjYOu302AltbPoQQ
 Fs4fkPefFsUTc4Y/ShsmKDDIx0UygK9ubmUA5X7emLlwpvbrh4956+L1mBK5BKx1ygv4
 iEddw04A3oxcBLPuSJN3+eD5b9zI6b5hYiTsGL/KbGa4sUmKiYovkMBBpkTNC4H34jaM
 0AzskgFuITqoSBMeJ8m4T3MRWdj+Fix8r4jzjpunNxzW1oz96Y88gD45J8VsOqk1t4RH 9g== 
Received: from phxpaimrmta01.imrmtpd1.prodappphxaev1.oraclevcn.com
 (phxpaimrmta01.appoci.oracle.com [138.1.114.2])
 by mx0b-00069f02.pphosted.com (PPS) with ESMTPS id 3fwf6cd4nq-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 12 May 2022 17:43:06 +0000
Received: from pps.filterd
 (phxpaimrmta01.imrmtpd1.prodappphxaev1.oraclevcn.com [127.0.0.1])
 by phxpaimrmta01.imrmtpd1.prodappphxaev1.oraclevcn.com (8.16.1.2/8.16.1.2)
 with SMTP id 24CHfX0P018002; Thu, 12 May 2022 17:43:05 GMT
Received: from nam11-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam11lp2177.outbound.protection.outlook.com [104.47.58.177])
 by phxpaimrmta01.imrmtpd1.prodappphxaev1.oraclevcn.com with ESMTP id
 3fwf753mkg-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 12 May 2022 17:43:05 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=VwrQskhtcOWjPtmWkwUKROuiSX9W6OcO8AuUj3U0V+Gb6PPxw+etKfen1gJEj018o/JvE82jYl7Yks8cbszpzpDhYrHjbU7HQVEa/dL3DjoeJtBn0ndF1ox6L0yB2eq2SXgx3sTUVkGBaD2F8JtzoJHtQq47ybB0vI9UVHCONpf2P3xlABUGJCdt2yjDnqVdD5dHPGW0XMw+N+FL9460Vl/LtW3tUgTUNTblrafa8eRJk//+A8pQKo4JHZsk4E4SwnCg0BPfQCnf/1AonHokd7hiDAE40xHcOy1HLDezrrPoC0qD6uAjJtjUuqQlBy85tXpJ/1Z/yMlavLiZw7nz5Q==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=1xdsa2ChzRN8S7IQbU6v1Q80OhkhwuyWgokikOwM7rg=;
 b=arc4GPVPRISlhJO9V0lddL/ZhAejqcu3RXV20s0WR8WFbvHdW5H+aLwdE1HO1IhjsOvRlpsvZlp8/+n2scqUrL+bmFUnb80QQE6RdcwS2gLqO8zJOTz7XVvS2CHdKT3V7gxMu0x9Bk/2OOofWrlIRGtZrfw7CCP+ySNzIDuFcYw9/LojVuTk4aDXDS4n2S/J9A9S7JAkXIcEQTDEu4hGK70WjbzG/upxC465fc8KK4xrFqPrvFLaz2wHM5Mqbj8/lR/WowX+GSd+eJTDbQK0fgLsjw7s/uE5xZCGkQ+gOUmCUt1oCdr8t8t9sZdILvY70NGet5Ht1SWFZbklvcnRyA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=1xdsa2ChzRN8S7IQbU6v1Q80OhkhwuyWgokikOwM7rg=;
 b=r65cXjVx95DRvyQ2bpy9C19AUH4Nq1azlY48iDM0o5pnIPaFxO+RSM08QO2iNOU0vuYslEirvLLC9DYrneyhXYX7LBx8ACUc8NobHKgdS44uEyc3DITUCEsVeifYtrE0JSAZYIw7hfoIhpxNVhlXKWeKYds5+EBh5ffyfr9Jdkg=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BN6PR10MB1828.namprd10.prod.outlook.com (2603:10b6:404:107::20)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5227.23; Thu, 12 May
 2022 17:43:03 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::a0e7:5f38:ab50:5123]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::a0e7:5f38:ab50:5123%9]) with mapi id 15.20.5227.024; Thu, 12 May 2022
 17:43:03 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: RE: [External] : Re: bug#23010: 25.1.50; Isearch help key to indicate
 current search state/mode
Thread-Topic: [External] : Re: bug#23010: 25.1.50; Isearch help key to
 indicate current search state/mode
Thread-Index: AQHYZiYfZR4cnEjUKE2+9UHHC/7wWK0bgIqQ
Date: Thu, 12 May 2022 17:43:03 +0000
Message-ID: <SJ0PR10MB5488A6CC22DD05739EF95A80F3CB9@HIDDEN>
References: <b6124828-1fb7-4a2f-85bd-89bbd8cb1900@default>
 <87wneqwwb4.fsf@HIDDEN>
 <SJ0PR10MB54888982840269747307869DF3CB9@HIDDEN>
 <86zgjmd5g4.fsf@HIDDEN>
In-Reply-To: <86zgjmd5g4.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 9b1321e0-69f2-49a0-bfc9-08da343edd54
x-ms-traffictypediagnostic: BN6PR10MB1828:EE_
x-microsoft-antispam-prvs: <BN6PR10MB18282891E3C24F6B14CDD373F3CB9@HIDDEN>
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: thQqWuznsr91fxj0CtRWSKXHKzLebudwd3Ec4lNUU+fFYbkbfq3wdaC01ymi+yrNCeIv06hRnrYwXGIZOFBkid/vq4HjNlyzHFRSxpxuFo/76gfNBLzLmQudXvY2izbyclEbstBz3NLQJdTQUQbjyOGPizTrNzTf3Qxvkqrl06QbBCYkiubq5Rw3d2dzokKbZXlDJ+YYbmsu7bE4YhmT/XE96GFBnqB2oClVp/lvU5BVtViRFpxx1TFA0FQxZib4vtTtKZRW6MApd9wVEkUvvHg1iWPpdoPSxUEhbCWs8wENRP67RmQBLaboZpDHSEtKa+W2VOWBDCMLWiZUQso0rcnhOn1uJtBqgYT8UOGshZ/NLRplGsz/ses5bOaUp/e5w8HbGfQEHOtGCuxMClPJd3oOmFj/uDlDDzlWrVAKil/8wqegvLLQxjZSxoopjYQGdjeizjwhC82UbW/gYxqqlGRjvHAm+sZsaJa45eaDWHuNVGUVoY357yI/7No/5GnvtVUmnjQfL8G9ClRWE1FoAsNyS7pwQ1fqJ7Q1Nhv4WhYkYH4/2MGCuv/3+hTqI2I1Y/KLqTzwDylXJFsA1dlkQQuU7n7mRCYfxnFibOP3tMtyyqFKgYLJY/Zg5kv+koB2SoTHo8/yM4ETCjTLbTymgurDZ/sYOs8TTm8auzjJkjMh3wN6xwsXv2mZI5vHIq25o8RBtvQtJeTigXuw2svI5w==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230001)(366004)(38100700002)(38070700005)(44832011)(508600001)(33656002)(55016003)(186003)(66476007)(76116006)(4744005)(5660300002)(9686003)(8676002)(6916009)(64756008)(66446008)(66946007)(4326008)(66556008)(52536014)(26005)(8936002)(316002)(86362001)(7696005)(71200400001)(6506007)(54906003)(122000001)(2906002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?bkPtfkFxqP/2fUiUZzXj2p/84HoZ/CixgqAHxOnBYxHiL9vsvlrgl4w11oxP?=
 =?us-ascii?Q?/NI7+vGNDWclT8J4L5mOrDYCdyPy/ZczyfWLr6+uyzGfGYzJO6/lXUecg23s?=
 =?us-ascii?Q?weLau28JzRHZ4KAXJDpNK8lFaSO+XWBFGZthtGyTbe8FSu+4AaXuIeSAsP3X?=
 =?us-ascii?Q?3/NnK5SXaLEJkOmgRUwsVUFhmQ1gd5kpAplG1Hx90v+qRh16Umt057zSaNj9?=
 =?us-ascii?Q?KNO72IUjoGG2y3VCl8Dvyz5KDBJu7tNX0KhPVFtB6gIrNoe3mRKTI4wJOZ7i?=
 =?us-ascii?Q?5A8tAldvW/bJZkRxs3dwgRl7kC6PO5d4aeJjxLiPSYTAsxqiwbtkidlsIgKY?=
 =?us-ascii?Q?SB+XkhETTRqQ5YcfqQ6g/ZO8+FKLshAHhCvuMb2lhsiKJMl4s2LgO1ynt2Xq?=
 =?us-ascii?Q?+1gHCObxBTUG5i30Au3lYDuKqHdhaOwcqaMwFemX9+MGE9APQ5r+b+erXL0t?=
 =?us-ascii?Q?qBTndAiJpDf7yb2dxFH+V+h1muUXuzFkoH6fZVckHdLfD+LNdohKWd17ZfyL?=
 =?us-ascii?Q?otFEuP1JX24LXApb5LZ0yCz2JgKMW13d6eAhvCX4FSgzzy6AxRggm8ZE1A8f?=
 =?us-ascii?Q?bqDUG2yFzTEYSZnlz9x7cWGesKCTnVZUiCMCk4f0DXBVA+J0No+f4hnmxrkW?=
 =?us-ascii?Q?kT62n8QVHHoHHq/4B86TED9QzkjXHP1Z6Z6+iag2B+L21nI5mkaRfIc9g0a+?=
 =?us-ascii?Q?rV+9meapQ3ItCegPlDO1b6gB5vxjYuJB4c9g8z6v5O693ZGyL31GAGIq79vT?=
 =?us-ascii?Q?d2WTexZJ1PJFwQN9nMMcRL2vU6h/SoWkwenLo4Y4UDzy9ytP8oLqT/U66d1+?=
 =?us-ascii?Q?HmciUlAXfdWVDhtfH36M9Hf/EViOQYa4zrDrxn2XoZ1p7uDES3k4NL5+Sk8W?=
 =?us-ascii?Q?E+mBxxYxSrQJ8ONRQVcz80uaDKnFbexHiwPjLMRdomQWlcM40mmwKR8vjvfo?=
 =?us-ascii?Q?A+Ks9QFTRBL3Q0DgsoT3jbb7hCQNov79ulMEoMjAx3GLs7PbWEoa4U4Eh6PY?=
 =?us-ascii?Q?pOY06z+yNsqQ3SK5+HPTVB3EPhqb2hZ78MYdojIcPZgn/jNzrEfqR7jverr0?=
 =?us-ascii?Q?HAKrvRQ4iPg8yskUZ2abWDmmaastsQg/JzF4d1eDGeet31mnWsPyHFTnGJpS?=
 =?us-ascii?Q?mBXO4ypbCqJJdLxAjGty2RcbXBCBqvp+8CwK70l1hcNEpazWTVw3W1n4P3oT?=
 =?us-ascii?Q?i3k4uk6Si4TYu4TwZHDp2LbNI55j25OdFhzScjzzOcpnQhE545bNMAiCJXHv?=
 =?us-ascii?Q?bnRcjZ3oD+qQQ6JgZGYsDsWggGtjGO5PsMmOY4Au9RZHc7BfZNP9n6/KrnHr?=
 =?us-ascii?Q?ypjCoifIM9DAm7zsvePtkq28PKjmhkQ08ikYB6pXvFiNrXN1tTuyRwFuzHfQ?=
 =?us-ascii?Q?SHesA6z8sI9OaJO7IDFLC7wLcVdu8mBDQdTiJ8YFD4By80TkcVkACS7QsuJO?=
 =?us-ascii?Q?khtp7EhCPIzAlTmwm9mle0Ll6bV8sbpt7A1m0gXMPi/5x3Lx8sp0Xa6NWIt9?=
 =?us-ascii?Q?tyeFZSYOjodHvq59tspd7xA0I/B+SwKi2QBYKD5g/Jb74n2bsIyhvbuoGyOJ?=
 =?us-ascii?Q?NO9s62Zs5Deb1ZO3IfkHHavqKUStDu140EIowv/8VgCwcNoZkAsmlRf57gwt?=
 =?us-ascii?Q?R3wyhRnavYjr/Ws5mPIHhBGSyU7Ar3aAFT2JuQjMXc8uzteulfAm72z4tb2G?=
 =?us-ascii?Q?Xi8UKdPNiRzaQ6L839RAtdtBIIbRlDpKyaVHLzFIhpoEWKFsfCeJIA4tLe1r?=
 =?us-ascii?Q?lsMwMvbPgQ=3D=3D?=
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 9b1321e0-69f2-49a0-bfc9-08da343edd54
X-MS-Exchange-CrossTenant-originalarrivaltime: 12 May 2022 17:43:03.1813 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: VjCcglwBHxU+wYRnT7q82o/sJzi+uzD00emGmJEEwvznnIQDgqjTdyANZ3d44iiL5hmoQumEEsFhVeacVSmnfA==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN6PR10MB1828
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.486, 18.0.858
 definitions=2022-05-12_10:2022-05-12,
 2022-05-12 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 phishscore=0
 adultscore=0 bulkscore=0 malwarescore=0 mlxscore=0 mlxlogscore=622
 spamscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2202240000 definitions=main-2205120081
X-Proofpoint-ORIG-GUID: wvoRtHBdXS7Hz4MGFObsSm_pdZLEshyl
X-Proofpoint-GUID: wvoRtHBdXS7Hz4MGFObsSm_pdZLEshyl
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23010
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 "23010 <at> debbugs.gnu.org" <23010 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> So do you suggest something like what query-replace does
> where typing `?' displays help about replacements?
> Such a buffer could have a different name, e.g.
> " *Isearch status*" and display the values
> of all togglable options.

Please read the bug report.  I made several suggestions
in this regard.  But yes, what you ask was included in
the suggestions.
___

I've also made other suggestions elsewhere, regarding
showing more such state in the mode-line.  And I do
that in isearch+.el.  E.g., mode-line lighter tells
you whether case-sensitive and whether regexp searching:

(if case-fold-search
    (if isearch-regexp " R*SEARCH" " ISEARCH")
  (if isearch-regexp " R*search" " Isearch"))

But adding char-folding and other state would be
unmanageable with just a lighter.  I don't suggest
trying to make the lighter communicate more - the
result would be more confusing than helpful.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23010; Package emacs. Full text available.

Message received at 23010 <at> debbugs.gnu.org:


Received: (at 23010) by debbugs.gnu.org; 12 May 2022 17:31:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 13:31:35 2022
Received: from localhost ([127.0.0.1]:42201 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npCf1-0005i1-Mn
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 13:31:35 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:49183)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1npCez-0005hl-Db
 for 23010 <at> debbugs.gnu.org; Thu, 12 May 2022 13:31:34 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 053CA60008;
 Thu, 12 May 2022 17:31:24 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#23010: 25.1.50; Isearch help key to indicate current search
 state/mode
Organization: LINKOV.NET
References: <b6124828-1fb7-4a2f-85bd-89bbd8cb1900@default>
 <87wneqwwb4.fsf@HIDDEN>
 <SJ0PR10MB54888982840269747307869DF3CB9@HIDDEN>
Date: Thu, 12 May 2022 20:30:19 +0300
In-Reply-To: <SJ0PR10MB54888982840269747307869DF3CB9@HIDDEN>
 (Drew Adams's message of "Thu, 12 May 2022 16:34:06 +0000")
Message-ID: <86zgjmd5g4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23010
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 "23010 <at> debbugs.gnu.org" <23010 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> > This request is for a help key, to show the current state/modes of
>> > Isearch.  The info shown should include all of the possible toggle
>> > states, such as case folding, whitespace folding, regexp/literal, and
>> > char folding, as well as indicate the various toggle keys for these.
>> 
>> I think this sound like it could be vaguely helpful.  I've added Juri
>> to the CCs; perhaps he has some comments.
>> 
>> I think the utility would be pretty marginal, though -- few users alter
>> these things dynamically, but go with one single set of states most of
>> the time.
>
> Why do you think few users do so?  We've added more
> and more such change-state (e.g. toggle) keys over
> time.  And we generally try to indicate the current
> state (e.g. in the mode-line).
>
> If the state were more visible/available then maybe
> more users would "alter these things dynamically"?

So do you suggest something like what query-replace does
where typing `?' displays help about replacements?
Such a buffer could have a different name, e.g.
" *Isearch status*" and display the values
of all togglable options.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23010; Package emacs. Full text available.

Message received at 23010 <at> debbugs.gnu.org:


Received: (at 23010) by debbugs.gnu.org; 12 May 2022 16:34:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 12:34:15 2022
Received: from localhost ([127.0.0.1]:42085 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npBlW-0001um-Vh
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 12:34:15 -0400
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:13962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1npBlT-0001ud-Sg
 for 23010 <at> debbugs.gnu.org; Thu, 12 May 2022 12:34:13 -0400
Received: from pps.filterd (m0246617.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.17.1.5/8.17.1.5) with ESMTP id 24CEjB5w022886;
 Thu, 12 May 2022 16:34:10 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=CIVbOTn301M6EpbIxf9ZpFQLMxHNMxyzeBuQD6PvkS0=;
 b=nuGDBNILqPDxyywBjvYeKbxF4N4YEGVu2sI684ho+T5vcTj/51xx/e71ZUf7ObSVyAmz
 INJ8RgLq8r7xA8+fxDOh1J58XAbzDcxOuAk8O3bO724vg+1ef+5uPfsJGEL93wIMXyVP
 pBC9m8KJPsF+BZZ3rdDloAziuf0grsHTXzAlZiFcyooocy4RWztsU286rwRAOZuI2btO
 LNTvneIB5qAKytpvzV8LuESerlAVGpthust0Tuty+YEGQKQWWJKycqc1G44urYVNFIqr
 /wXCmgG8JUXq952ZLUaNB3D3vQIGSUrjkAsgG3jA7HOtzQYrWtWBva3zmdqFeoy6sWM8 vQ== 
Received: from iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com
 (iadpaimrmta02.appoci.oracle.com [147.154.18.20])
 by mx0b-00069f02.pphosted.com (PPS) with ESMTPS id 3fwhatndje-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 12 May 2022 16:34:10 +0000
Received: from pps.filterd
 (iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com [127.0.0.1])
 by iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com (8.16.1.2/8.16.1.2)
 with SMTP id 24CGVVwt012512; Thu, 12 May 2022 16:34:09 GMT
Received: from nam11-co1-obe.outbound.protection.outlook.com
 (mail-co1nam11lp2170.outbound.protection.outlook.com [104.47.56.170])
 by iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com with ESMTP id
 3fyg6g6k0t-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 12 May 2022 16:34:08 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=fOWRceePlkG++AJqnfQmT6WsPclQnW6grzKPdDFiGxSfUP70yxLyzsfP6sYDE2OqQUxi21Ys3DLxZtbD87CDf0+wMT0n6GXp1Nq5rjbKAOHsqhJo6tHYjpGW6YyX2CMi2vlJ+/NIMHNULEpYSLDSK3dqRbFt583mHS/VBmZWuzRWhqr5fB32iiYQuS6y+4tFTzCQgNjx+TrQuu1H+NizitMs6ka+ebNySyAIdMttIIxf2W84OdUMr4efA9BzDZ9Bfm2wRsdP6gRw3p3EtqqbWoA8KXnsZ2rn56yquaEK5vby6mJq0rSkhltvO+5XnqcywelguLz/10DULcrpPO2agA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=CIVbOTn301M6EpbIxf9ZpFQLMxHNMxyzeBuQD6PvkS0=;
 b=lFdKyN0zQtck2iAACZsj4UxV2z9DfVu+3+kR3rg29FWqBYpwL+6VCN2Utgi17i1UL7vBpnIdzECynjQOh0La2uFZNFRXzqJG7eAl7eUn+Hzc+ihugs/Wtkq2xZLvsy8bX/uy9fJ2ASAQk/lyXekgW0YGIw6G4KdjTguW2RRyirhSeL0z2Q/SQcxEoXNPQpMNAfqh2ljUxiir9HIj254yV42UtHP1XrzfgrIfR4IRgWAajxX3Y7GlkCrey5B0PLeBm6E+nCt9hjMJJYQ3ZDXOgW+4JZi/gyKQaoQHIVBgRUxFQU9Szojr+/7NiE6W0nFEHtKxb0ZSKcKJMdzVgumd2A==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=CIVbOTn301M6EpbIxf9ZpFQLMxHNMxyzeBuQD6PvkS0=;
 b=P6oDxyfYk2R2tinO+UHKF6N1qhhWyogEt6EmxTMMp7LA471RNK4icWC1tgFJawK+VfRy0hU/8tKjnbWy4JjXiGBVbZV+iZ6bBfzeatU7n9QTZVjihkaTXxCttD2LmlzL4PNUAocugGYE3mtV0EjulriaKBCYiyzoqsryc6AFlfY=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BN8PR10MB3137.namprd10.prod.outlook.com (2603:10b6:408:c3::33)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5250.13; Thu, 12 May
 2022 16:34:06 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::a0e7:5f38:ab50:5123]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::a0e7:5f38:ab50:5123%9]) with mapi id 15.20.5227.024; Thu, 12 May 2022
 16:34:06 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: [External] : Re: bug#23010: 25.1.50; Isearch help key to indicate
 current search state/mode
Thread-Topic: [External] : Re: bug#23010: 25.1.50; Isearch help key to
 indicate current search state/mode
Thread-Index: AQHYZh09paobb68Mw0eSpYLdyi0ayq0bbyhA
Date: Thu, 12 May 2022 16:34:06 +0000
Message-ID: <SJ0PR10MB54888982840269747307869DF3CB9@HIDDEN>
References: <b6124828-1fb7-4a2f-85bd-89bbd8cb1900@default>
 <87wneqwwb4.fsf@HIDDEN>
In-Reply-To: <87wneqwwb4.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 3df90a59-6b02-4397-db83-08da34353ba1
x-ms-traffictypediagnostic: BN8PR10MB3137:EE_
x-microsoft-antispam-prvs: <BN8PR10MB313707F07A7AB5D359C1A8FEF3CB9@HIDDEN>
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 2FxHs4oUz7bd4ulP+feBfIclW9jNJ5/4nV8C6gTm4Qw/p9i63LCY+kTsD2PsqgY3LI3n/ZUNs/c2pKNpNq9emWfAGvVx+Ue24JGvc6hnrCPI2ltH1oRKNeHH0ntt+lU2UiYLZYvEEjcjSofY5WFVH86YyqDhlFPd+nrTfaVVkUAN4+0ebnCaoQ4i88br40nOSNl80efDywWWoUTUAwMIjJ5KwTR7t3pfGCs7eMxIDpSMLrNWpxE6hnAPYY6bjk3j4cykH/ePKPSwYtSwhaTbwV8rkDI1SI9Hw88JENRTyMV4xe+8dTsekghf/zsbFP5ikMb+NOMygrG9DMl9/QMU/8inFeVwgrBtTAnJUxgvZpQxBhWl27YZ/z7TOn2OLfTJ0a84vEGIZUKCwMa1kEdM+H6ML390yJ9sKzPh1P1yz56qQHvKeCmtWMdLAfaukrHV0K9FsnfbWEdKY8BoJMZsoXDBmifNs50+coqsxmH8BdU9yXApEKo7BybhwB1mOs9+JGlIuV9+sAYLI023WMYJ4E2AjqvaNE2oJu+IuvT14h/hcEGyPpXDl8psYrGo2VSc4hOLxTWp1Rha+PrJeKzpvspMr1M98S/MUOFj7piJrIy9iT+ZOf5NrvRXTeVSgvDmmb69nPOpZ16OXMqNTw2Rl7lnfLOfF3WHdG0PHzEKX11NJVJf+diKAG046znkzxrRTOv1zDCz1pS5iBt79/u1dA==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230001)(366004)(66556008)(66446008)(9686003)(26005)(6506007)(4744005)(2906002)(33656002)(44832011)(8676002)(76116006)(8936002)(122000001)(38100700002)(86362001)(186003)(508600001)(66946007)(66476007)(64756008)(38070700005)(52536014)(4326008)(55016003)(54906003)(7696005)(71200400001)(6916009)(83380400001)(5660300002)(316002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?bUAwYh3plvGKWpJEbZuDT2cDluOgaQ4lK2lAwyn4uJnm25/3n3WRKt9FGjmv?=
 =?us-ascii?Q?sePJRjd1cApjDawut/eiMKozNNwpVh9CYVk6DJYC7c3ef+KxAMz4lEszFVBK?=
 =?us-ascii?Q?DggkeX+ZTESx+LsH7CmoOLWT/PpMZWUGkrTlFDamg3PheBv0cARVf9PvZVMP?=
 =?us-ascii?Q?goWwk3958HJacVQL6G/aw8PCOa6P2S532TnlCe304DvRRm+mB4HphFM/21Q2?=
 =?us-ascii?Q?NilKz6NVbT/O0wNOvaQpBg43l3QGcHgLqIIDKSVpfk/NPmewT3p0Pn76Szl+?=
 =?us-ascii?Q?MAOiymWOWQ+Nn1dOznKwN2dBG1SunlwN2LqiXURuHJhCGfNs5DWJtX3aCnly?=
 =?us-ascii?Q?tau3lpJHKFePHpPkJpNvtHHIwa1e+gFXAmfd7GrXSGgHSbqSEk5xvVH1MTTs?=
 =?us-ascii?Q?8hz0r0HSQQmdXGW5tJv9Oyy29Wc/FI6Esq8mtSnAzO+tzMooUu5Gl2b/YMfQ?=
 =?us-ascii?Q?n6q83YUMtBSB+b0vFPu2d1tdRudyY2Y2jMtbnXQlkB3jNUkZpm1n7pzT+JtM?=
 =?us-ascii?Q?1jQqRPU+SH9IgAcTESjLc5WLs1w66vlN7e3H4MrVZg/Cf0iJfcXNFdPqHFIh?=
 =?us-ascii?Q?CGstbSfbAEc27A6H2NO2nN9xMN5rZbrNDxejMFoCnr09heohqjQsRQfC/BTz?=
 =?us-ascii?Q?h15MLf/XwK5p8Zsv2943tx5nUjJ1nPwrKzk8q4L40uRUX2p+GG0WQtqR3Nwh?=
 =?us-ascii?Q?N/5luGT0quUbPp7LmwQYMJCv/2S5OG3Qz0o8+wbUI5flOtga+uSW9QmiOaHs?=
 =?us-ascii?Q?kPlzSfhSSwgNQ0IxnbZbEqKmLD0K0tXFGJIAyYb38sZQmaJr41VLdnyko71P?=
 =?us-ascii?Q?04hZ8hh1Yq/bVnHsE+084w19a0iTXBxBGbND6MUditlvxS1tJqnOVONvF1le?=
 =?us-ascii?Q?BW6wv7t8r8VDvrFGfIAyg6oQTBkvtBVy0e0S1vdR7U2c3Hk5eV1hMqj1FvgS?=
 =?us-ascii?Q?7nWstw1rtZok1AtYqicUMaEjAcZdiZEnn2nbT6H3NMVcV9jvlAgRrmtWaCi2?=
 =?us-ascii?Q?b5SxwLVzcdluOL/YsKZhMtOsD+WcF8PdU9xuVFqVp+B8tG7MBgVvrb6Q4IGK?=
 =?us-ascii?Q?eaD5C6AHUmxhvVJEQqbpdEip73VyizfvCfG1XUZ4cUlewDT2PXZT0p5BdhzK?=
 =?us-ascii?Q?F3KX+wTkQN3crayWJ25TWzffdqcoKoezDgPFLPQa60UdXiWuXMdVukUVxQee?=
 =?us-ascii?Q?Qhw1U5Y7DuYQJlJFhfxk1H1IteKw+I6xu74SO4QKIYcDMKPDvURQRwZPvNU8?=
 =?us-ascii?Q?IgvqndI4iqEjXqobm+o3IWgrop7MQmWAlmKbUrIS8qhgLZTqBfP5gabvDi+h?=
 =?us-ascii?Q?UtUO4gmZSEylGMGQgfPT9GKB/ibjrywuOm5/aWxJNPzSFiatlFZVH5Gw3NRz?=
 =?us-ascii?Q?U7yhhYrLj0v0mNQifrhGhI6y/s/No8PySk8Fh6tBH0aNMBUiBgKyfcabt7xk?=
 =?us-ascii?Q?zW7pYBOXWBNht2i4aKW8nAsqQIN6WXM3/Tbv4FlCItovJlYd0MhVXF6aX2Bd?=
 =?us-ascii?Q?hUD31wm2ZfPtZTx+mdu8JV8I7QZIMozyux7XObjH0e9vyywkuGd0wcjyJVUk?=
 =?us-ascii?Q?rPhXCugFGpfXwzqPUsedKRvKL5L7FvZrMkSyI5sqHVRhETlVptvZiEeAV/bn?=
 =?us-ascii?Q?8bxafTMWGgYJl0ey4gwaDZea8qKYEhwxuTDdZe8MR4X12AkMbkUHi8EfEity?=
 =?us-ascii?Q?WrnkEcO6ISAe6qVOkg6/vkS202ZiFcmY4+TP7w2hduMUyY1vvJirvhy/MRo0?=
 =?us-ascii?Q?pNKTaBUmjg=3D=3D?=
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 3df90a59-6b02-4397-db83-08da34353ba1
X-MS-Exchange-CrossTenant-originalarrivaltime: 12 May 2022 16:34:06.4408 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: nCsYc1R89n77e5YkdVTU2gnxuwIA+bnC4Vebz5JbmVUoqrDax0GOhTulcMZ2sXb+yzvIbKQSYRIHTozPvdmxYw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN8PR10MB3137
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.486, 18.0.858
 definitions=2022-05-12_10:2022-05-12,
 2022-05-12 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=999
 malwarescore=0
 mlxscore=0 phishscore=0 spamscore=0 bulkscore=0 adultscore=0
 suspectscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2202240000 definitions=main-2205120078
X-Proofpoint-GUID: Bxvr4DLt8CfVUY-gMQG5w15Nkh_YDvfS
X-Proofpoint-ORIG-GUID: Bxvr4DLt8CfVUY-gMQG5w15Nkh_YDvfS
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23010
Cc: "23010 <at> debbugs.gnu.org" <23010 <at> debbugs.gnu.org>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> > This request is for a help key, to show the current state/modes of
> > Isearch.  The info shown should include all of the possible toggle
> > states, such as case folding, whitespace folding, regexp/literal, and
> > char folding, as well as indicate the various toggle keys for these.
>=20
> I think this sound like it could be vaguely helpful.  I've added Juri
> to the CCs; perhaps he has some comments.
>=20
> I think the utility would be pretty marginal, though -- few users alter
> these things dynamically, but go with one single set of states most of
> the time.

Why do you think few users do so?  We've added more
and more such change-state (e.g. toggle) keys over
time.  And we generally try to indicate the current
state (e.g. in the mode-line).

If the state were more visible/available then maybe
more users would "alter these things dynamically"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23010; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 23010 <at> debbugs.gnu.org:


Received: (at 23010) by debbugs.gnu.org; 12 May 2022 16:27:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 12:27:39 2022
Received: from localhost ([127.0.0.1]:42059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npBf9-0007wT-KL
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 12:27:39 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1npBf8-0007wC-LY
 for 23010 <at> debbugs.gnu.org; Thu, 12 May 2022 12:27:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=4+MC3JzYCIo7pLBqgHL1bwlAEd2VnOAdAyzTK1v5JFI=; b=Kh3negPfUYCrYjErROqoqMufFR
 /57KpmrqdEcDdE4YWTKigcXTe1hOb3NFpD8CJ5D5mLjm5UKEiA8FR6we+p/hLL99e6Ffn4PUoEyaV
 wH3Gr0TexTdWEe1stWvlNH3YtfbAfyu6oC9ZRx3eCv6/jyNgbo4Ft8oC+dnOmqft8eeA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1npBey-0006qy-Hn; Thu, 12 May 2022 18:27:30 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#23010: 25.1.50; Isearch help key to indicate current search
 state/mode
References: <b6124828-1fb7-4a2f-85bd-89bbd8cb1900@default>
X-Now-Playing: Joe Jackson's _Mike's Murder_: "Moonlight"
Date: Thu, 12 May 2022 18:27:27 +0200
In-Reply-To: <b6124828-1fb7-4a2f-85bd-89bbd8cb1900@default> (Drew Adams's
 message of "Mon, 14 Mar 2016 08:28:30 -0700 (PDT)")
Message-ID: <87wneqwwb4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Drew Adams <drew.adams@HIDDEN> writes: > This request
 is for a help key, to show the current state/modes of > Isearch. The info
 shown should include all of the possible toggle > states, such as case folding,
 whitespace folding, regexp/lite [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23010
Cc: 23010 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Drew Adams <drew.adams@HIDDEN> writes:

> This request is for a help key, to show the current state/modes of
> Isearch.  The info shown should include all of the possible toggle
> states, such as case folding, whitespace folding, regexp/literal, and
> char folding, as well as indicate the various toggle keys for these.

I think this sound like it could be vaguely helpful.  I've added Juri to
the CCs; perhaps he has some comments.

I think the utility would be pretty marginal, though -- few users alter
these things dynamically, but go with one single set of states most of
the time.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23010; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Mar 2016 15:28:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 14 11:28:49 2016
Received: from localhost ([127.0.0.1]:48001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1afUQL-0001lz-17
	for submit <at> debbugs.gnu.org; Mon, 14 Mar 2016 11:28:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52287)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <drew.adams@HIDDEN>) id 1afUQJ-0001ll-C7
 for submit <at> debbugs.gnu.org; Mon, 14 Mar 2016 11:28:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1afUQD-0006Q8-4Q
 for submit <at> debbugs.gnu.org; Mon, 14 Mar 2016 11:28:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ****
X-Spam-Status: No, score=4.3 required=5.0 tests=BAYES_50,XPRIO
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33018)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1afUQD-0006Q4-1I
 for submit <at> debbugs.gnu.org; Mon, 14 Mar 2016 11:28:41 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43256)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1afUQC-0002j2-0A
 for bug-gnu-emacs@HIDDEN; Mon, 14 Mar 2016 11:28:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1afUQ8-0006PL-K9
 for bug-gnu-emacs@HIDDEN; Mon, 14 Mar 2016 11:28:39 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:25498)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1afUQ8-0006PF-E9
 for bug-gnu-emacs@HIDDEN; Mon, 14 Mar 2016 11:28:36 -0400
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u2EFSYKW030586
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Mon, 14 Mar 2016 15:28:35 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserv0022.oracle.com (8.13.8/8.13.8) with ESMTP id u2EFSYOZ008858
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL)
 for <bug-gnu-emacs@HIDDEN>; Mon, 14 Mar 2016 15:28:34 GMT
Received: from abhmp0009.oracle.com (abhmp0009.oracle.com [141.146.116.15])
 by aserv0122.oracle.com (8.13.8/8.13.8) with ESMTP id u2EFSWEu013301
 for <bug-gnu-emacs@HIDDEN>; Mon, 14 Mar 2016 15:28:33 GMT
MIME-Version: 1.0
Message-ID: <b6124828-1fb7-4a2f-85bd-89bbd8cb1900@default>
Date: Mon, 14 Mar 2016 08:28:30 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.1.50; Isearch help key to indicate current search state/mode
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

This report was requested by Kaushal Modi in bug #22991.  See that
bug for more context.

This request is for a help key, to show the current state/modes of
Isearch.  The info shown should include all of the possible toggle
states, such as case folding, whitespace folding, regexp/literal, and
char folding, as well as indicate the various toggle keys for these.

This is a _temporary_ stopgap.  What is needed for the next release is a
well designed implementation that provides for easy configuration by
users and switching among _sets_ of character equivalence classes,
toggling of such sets, and toggling of individual equivalence classes.
A useful and supple design will no doubt change the needs for both state
toggling keys (probably at least one "toggle" prefix key) and any help
display about the current state/mode.

For now, the state/mode help could be bound to a new, dedicated key.  Or
it could added to the current mode help, `C-h m'.

Unless it were added to the top of the `C-h m' output, a separate help
key (and separate *Help* content) would probably be better, so users can
easily see all of the state info without scrolling the help window etc.

It is important to provide a succinct summary in a few lines, and then
follow that by any additional detailed info that might be helpful.

Such additional info could give details about the behavior of the
different modes, as well as info about how to change among them.  Yes,
some of that info might repeat some of what is in the `C-h m' output,
but that's OK.

Another possibility might be to add this info to the regular `C-h m'
output, but have a new help key that takes you directly to the part of
that output that shows the current modes and explains the possibile
modes, i.e., scrolls to that part.  That would have the advantage of
providing this info in the context of isearch help in general.

Again, it is likely that the help output for this and the key(s) for
displaying it will change soon.  The char-folding feature is very
immature, and will hopefully be developed quite a bit further.  What
directions that might take are unknown now.


In GNU Emacs 25.1.50.1 (i686-pc-mingw32)
 of 2015-12-10
Repository revision: 6148555ee5a3d0139ae517803718b3e0357933c7
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
 'configure --prefix=3D/c/Devel/emacs/snapshot/trunk --enable-checking=3Dye=
s
 --enable-check-lisp-object-type --without-compress-install 'CFLAGS=3D-Og
 -ggdb3' LDFLAGS=3D-Lc:/Devel/emacs/lib 'CPPFLAGS=3D-DGC_MCHECK=3D1
 -Ic:/Devel/emacs/include''




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#23010; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 13 Jun 2022 13:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.